package com.loafle.commons.rpc.registry;

import java.util.Map;

import com.loafle.commons.rpc.RPCException;

/**
 * RPCRegistry
 */
public interface RPCRegistry extends RPCInvoker {
	void registerService(Object receiver) throws RPCException;
	void registerService(Object receiver, String name) throws RPCException;
	void registerService(Object receiver, Class<?> receiverClass) throws RPCException;
	void registerService(Object receiver, Class<?> receiverClass, String name) throws RPCException;
}
